%undefine __libtoolize

Name: ksocrat
Version: 3.2
Release: alt1

Group: System/Internationalization
Summary: English/Russian and Russian/English dictionary for KDE
License: GPL
Url: http://ksocrat.linux.kiev.ua

Requires: kdelibs-gcc_compiled = %__gcc_version_base
Requires: %name-data >= %version

Source0: %name-%version.tar.bz2
Source1: ksocrat-enru-dic-1.0.1.tar.bz2
Source2: ksocrat-ruen-dic-1.0.1.tar.bz2

# Automatically added by buildreq on Fri Nov 22 2002
BuildRequires: XFree86-libs freetype2 gcc-c++
BuildRequires: glibc-devel kdelibs-devel libGLU libXft libart_lgpl-devel
BuildRequires: libarts-devel libexpat libfontconfig libjpeg-devel liblcms
BuildRequires: libmng libpng-devel libqt3-devel zlib-devel
BuildRequires: automake_1.4 autoconf_2.13
BuildRequires: automake autoconf
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base

%description
Simple frontend for Socrat English/Russian
and Russian/English dictionary.

%package data
Group: Text tools
Summary: En-Ru and Ru-En dictionaries for %name package
License: ARSENAL INC.

%description data
English/Russian and Russian/English dictionaries
for %name package

%prep
%setup -q
PATH=`pwd`:$PATH
[ -x /usr/bin/autoconf_2.13 ] && ln -s /usr/bin/autoconf-2.13 autoconf
[ -x /usr/bin/autoheader_2.13 ] && ln -s /usr/bin/autoheader-2.13 autoheader
[ -x /usr/bin/autom4te_2.13 ] && ln -s /usr/bin/autom4te-2.13 autoconf
[ -x /usr/bin/aclocal-1.4 ] && ln -s /usr/bin/aclocal-1.4 aclocal
[ -x /usr/bin/automake-1.4 ] && ln -s /usr/bin/automake-1.4 automake
[ -f Makefile.dist ] && make -f Makefile.dist

tar xvfj %SOURCE1
tar xvfj %SOURCE2

%build
export QTDIR=/usr/lib/qt3
export KDEDIR=/usr

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:/usr/bin:$PATH

export CFLAGS="%optflags"
export CXXFLAGS="%optflags"

%configure \
	--enable-final \
	--enable-shared \
	--disable-static \
	--disable-rpath \
	--enable-shared \
	--disable-debug

%make_build

%install
make DESTDIR=%buildroot install

pushd usr/share/apps/ksocrat
    install -m 0644 *.dic %buildroot/%_datadir/apps/ksocrat/
popd

# create menu
mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name Office %buildroot%_datadir/applnk/Applications/%name.desktop %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog* README TODO
#
%_bindir/*
%_iconsdir/*
%_menudir/%name
%_datadir/applnk/Applications/*.desktop
%_datadir/apps/%name
%exclude %_datadir/apps/%name/*.dic

%files data
%doc usr/share/apps/ksocrat/Arsenal*
#
%dir %_datadir/apps/%name
%_datadir/apps/%name/*.dic

%changelog
* Mon May 05 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.2-alt1
- new version

* Thu Feb 06 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.1-alt1
- 3.1.1
- add license to dictionaries

* Mon Jan 20 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 3.1-alt1
- 3.1
- Remove dictionaries

* Fri Nov 22 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 3.0-alt1
- 3.0
